Name: memcached
Version: 1.4.5
Release: alt1.M50P.1

Summary: memcached - memory caching daemon
License: BSD
Group: System/Servers

Url: http://www.memcached.org
Source: %name-%version.tar

Requires(pre): shadow-utils

%define pkg_user memcached
%define pkg_group memcached

BuildRequires: libevent-devel perl-devel perl-AnyEvent perl-YAML perl-Term-ReadKey

%description
memcached is a flexible memory object caching daemon designed to  alle-
viate  database  load in dynamic web applications by storing objects in
specifically  optimized  to  avoid swapping and always use non-blocking
I/O.

%package devel
Summary: protocol_binary.h header file
Group: Development/C
%description devel
protocol_binary.h header file

%prep
%setup
./autogen.sh

%build
%configure
%make_build

%install
%__mkdir_p %buildroot{%_initdir,%_logdir/%name,%_datadir/%name/scripts}
%makeinstall

%__install -pD -m644 memcached.conf %buildroot%_sysconfdir/%name.conf
%__install -pD -m755 memcached.init %buildroot%_initdir/%name
%__install -pD -m755 scripts/* %buildroot%_datadir/%name/scripts/

%check
%make test

%files
%_initdir/*
%_bindir/%name
%attr(750,root,%pkg_group) %config(noreplace) %_sysconfdir/%name.conf
%attr(750,%pkg_user,%pkg_group) %_logdir/%name
%_datadir/%name
%_man1dir/*
%doc doc/*.txt doc/CONTRIBUTORS AUTHORS ChangeLog NEWS README
%exclude %_datadir/%name/scripts/memcached-init
%exclude %_datadir/%name/scripts/memcached.sysv

%files devel
%_includedir/%name/protocol_binary.h

%pre
%_sbindir/groupadd -r -f %pkg_group ||:
%_sbindir/useradd -r -g %pkg_group -d /dev/null -s /dev/null -n %pkg_user \
	2> /dev/null > /dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%changelog
* Fri Nov 12 2010 Andrey Cherepanov <cas@altlinux.org> 1.4.5-alt1.M50P.1
- backport to p5 (fixed CVE-2010-1152)

* Mon Nov 08 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 1.4.5-alt2
- Fix type-punning issues exposed with GCC 4.5.1

* Wed Oct 06 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 1.4.5-alt1
- 1.4.5 (ALT #23996)
- CVE-2010-1152

* Mon Sep 28 2009 Denis Klimov <zver@altlinux.org> 1.4.1-alt1
- new version (Closes: #20835)
- add devel subpackage

* Tue May 05 2009 Denis Klimov <zver@altlinux.org> 1.2.8-alt1
- new version
- critial bug fix leak memory from /proc/self/maps (ALT #19916)
- remove packager tag
- not package needless scripts

* Fri Aug 08 2008 Denis Klimov <zver@altlinux.org> 1.2.6-alt1
- new version
- remove needless -q key for setup macros
- fix use pkg_group instead pkg_user
- remove include sysconfig file in init script

* Sat Jun 02 2007 L.A. Kostis <lakostis@altlinux.ru> 1.2.2-alt1
- new version from 1.2 branch (fix ALT #11932).
- build with threads support.
- add packager field.
- add debug switch for testing purposes (disabled by default).

* Wed Nov 02 2005 LAKostis <lakostis@altlinux.ru> 1.1.12-alt1
- first build for ALTLinux.

